{
  lib,
  buildPythonPackage,
  fetchFromGitHub,
  gettext,
  mock,
  pytestCheckHook,
  setuptools,
  setuptools-scm,
}:

buildPythonPackage rec {
  pname = "bagit";
  version = "1.9b2";
  pyproject = true;
  build-system = [
    setuptools
    setuptools-scm
  ];

  src = fetchFromGitHub {
    owner = "LibraryOfCongress";
    repo = "bagit-python";
    rev = "v${version}";
    hash = "sha256-IkRMsCrtX8nS0nrxs5B9csMq1YrI75QLDuT8eTPILkw=";
  };

  nativeBuildInputs = [
    gettext
  ];

  nativeCheckInputs = [
    mock
    pytestCheckHook
  ];
  pytestFlagsArray = [ "test.py" ];
  pythonImportsCheck = [ "bagit" ];

  meta = with lib; {
    description = "Python library and command line utility for working with BagIt style packages";
    mainProgram = "bagit.py";
    homepage = "https://libraryofcongress.github.io/bagit-python/";
    license = with licenses; [ publicDomain ];
    maintainers = with maintainers; [ veprbl ];
  };
}
